curl --request POST \
--url https://api-sandbox.argyle.com/partners/v2/verifications/{id}/cancel \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/partners/v2/verifications/{id}/cancel"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/partners/v2/verifications/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"client": "39096494-45c8-4fd8-9454-3d1cb2d62db7",
"created_at": "2023-03-09T16:22:06.081Z",
"updated_at": "2023-03-09T16:22:06.081Z",
"channel": "api",
"status": {
"state": "CANCELLED",
"code": "cancelled_by_client",
"errors": []
},
"report": {
"id": null,
"type": "doc-voi-mortgage",
"file_url": null,
"json_url": null
},
"employments": [
{
"employer": "Warehouse Services Inc",
"status": "active",
"hire_date": "2023-02-01",
"termination_date": null
}
],
"loan": {
"number": "1234",
"borrower_id": "ABC789",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com"
},
"billing": {
"cost_center": "5"
},
"data_source": "documents"
}Cancel a verification
Cancels a verification order.
Only verifications in the PAUSED state can be cancelled.
Authorizations
Username = api_key_id, Password = api_key_secret
Path Parameters
ID of the verification to be cancelled.
Response
Unique ID of the verification.
ID of the user associated with the verification.
ID of the client on whose behalf the verification was requested.
Origin of the verification order.
api, encompass "api"
Verification status information.
Show child attributes
Show child attributes
Report information.
Show child attributes
Show child attributes
List of employments for the user. Documents only.
Show child attributes
Show child attributes
Optional loan details for regular payroll and mortgage verification workflows.
Show child attributes
Show child attributes
Optional billing details for regular payroll and mortgage verification workflows.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Source of verification data.
payroll, banking, documents